| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
permissions.php File Reference

## Functions
| get_perms ()
| get_all_perms ($uid, $observer_xchan, $internal_use=true)
| perm_is_allowed ($uid, $observer_xchan, $permission)
| check_list_permissions ($uid, $arr, $perm)
| site_default_perms ()

## Function Documentation

check_list_permissions | ( |  | $uid,
|  |  | $arr,
|  |  | $perm
| ) |  |

Referenced by collect_recipients().

get_all_perms | ( |  | $uid,
|  |  | $observer_xchan,
|  |  | $internal_use = `true`
| ) |  |

get_all_perms($uid,$observer_xchan)

Parameters

  $uid | : The channel_id associated with the resource owner
  $observer_xchan,: | The xchan_hash representing the observer

Returns
  : array of all permissions, key is permission name, value is true or false

Referenced by blocks_content(), change_channel(), channel_content(), connections_content(), editblock_content(), editlayout_content(), editwebpage_content(), filestorage_content(), lastpost_content(), layouts_content(), page_content(), photos_init(), webpages_content(), and zfinger_init().

get_perms | ( |  | ) |

Referenced by connections_content(), create_identity(), get_all_perms(), message_post(), new_contact(), perm_is_allowed(), site_default_perms(), and zot_refresh().

perm_is_allowed | ( |  | $uid,
|  |  | $observer_xchan,
|  |  | $permission
| ) |  |

Referenced by api_statuses_home_timeline(), api_statuses_repeat(), attach_by_hash(), attach_by_hash_nodata(), attach_count_files(), attach_list_files(), attach_store(), check_list_permissions(), common_content(), common_friends_visitor_widget(), get_feed_for(), item_post(), like_content(), photo_init(), photo_upload(), photos_album_widget(), photos_albums_list(), photos_list_photos(), photos_post(), poco_init(), post_activity_item(), process_delivery(), process_mail_delivery(), profile_load(), profile_sidebar(), Conversation\set_mode(), subthread_content(), syncdirs(), tag_deliver(), tgroup_check(), viewconnections_content(), z_readdir(), and zot_feed().

site_default_perms | ( |  | ) |

Referenced by create_identity().